<!-- Script fotogalerie vytvořil Rellik rellik1@seznam.cz http://firstpage.wz.cz-->
<?php
// Umistnete prosim na sve stranky odkaz na mou stranku http://firstpage.wz.cz
// Script si muzete upravit podle vasich potreb a predstav

	echo "<div id='galerie'>\n";
	
// nasledující řádky vyplňte podle potřeby
// Podle toho jaká je zobrazena galerie tak se vypiíše příslušný nadpis
if ($_GET['id']=='veletiny')
	echo "<div id='nadpis'><h1>Veletiny</h1></div>";

if ($_GET['id']=='zima2006')
	echo "<div id='nadpis'><h1>Zima 2006</h1></div>";
// ********* konec nadpisů

$slozka = $_GET['id'];
$id = $slozka;
$stranka = $_GET['stranka'];
$nahled = "nahledy";
$zobraz = $_GET['zobraz'];
$celkem = $_GET['celkem'];
$conf["items_per_page"] = 1;

if(!($dp = opendir($slozka))) die ($slozka);
$file_array = array();
while ($file = readdir ($dp))
{
if($file!="."&&$file!=".."&&!is_dir($file)&&$file!=$nahled)
{
$file_array[] = $file;
}
}
$file_count = count ($file_array);
sort ($file_array);


if ($file_count > 0)
{
$first_record = $zobraz * $conf["items_per_page"];
$last_record = $first_record + $conf["items_per_page"];

while (list($fileIndexValue, $file_name) = each ($file_array))
{

if (($fileIndexValue >= $first_record) AND ($fileIndexValue < $last_record))
{

echo "\t<div id='zobraz'>\n\t<img src=\"".$id."/".$file_name."\" alt=\"".$file_name."\">\n";
}
}
echo "\t</div>\n\t\t<div id=\"navigace\">\n";
if (($file_count > 0) AND ($zobraz != 0))
{
// previous button
$prev_page = $zobraz -1;
		echo "\t<a class=\"predchozi\" href=\"?page=galerie&amp;celkem=$celkem&amp;stranka=$stranka&amp;zobraz=$prev_page&amp;id=$id\">&lt;&lt; Předchozí</a>\n";
}

		echo "\t<a class=\"zpet\" href=\"?page=foto&amp;celkem=$celkem&amp;stranka=$stranka&amp;id=$id\">Zpět na náhledy</a>\n";

if (($file_count > 0) AND ($last_record < $file_count))
{
// next button
$next_page = $zobraz + 1;
		echo "\t<a class=\"dalsi\" href=\"?page=galerie&amp;celkem=$celkem&amp;stranka=$stranka&amp;zobraz=$next_page&amp;id=$id\">Další &gt;&gt;</a>\n";
}
}
closedir($dp);

echo "\t\t</div>\n\t</div>\n";
?> 